Subject: Re: Perl instabilities
From: [email-masked] (Michael Lemke)
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Apr 2003 19:29:29 +0200

4/27/03 17:43:09, "Gerrit P. Haase" <[email-masked]> wrote:

>Hallo Michael,
>
>>>>>>>>    1924 [main] perl 898827 sync_with_child: child -861851(0xF0) died before initialization with status code 0xFFFFFFFF
>>>>>>>>    2054 [main] perl 898827 sync_with_child: *** child state child loading dlls
>
>>>Have you tried to rebase your installation?
>>>Just type rebaseall in a bash shell.
>
>> What does that do?  I remember some talk here but never
>> understood it.  Why would it be necessary?
>
>$ cat /usr/doc/Cygwin/rebase-2.2.README | more
>
>

Thanks.  Did that and followed the instructions to rebaseall.
Same result with perl. :-(

I then installed Gerrit's debug version and set  CYGWIN=error_start:d:\cygnus\cygwin\bin\dumper.exe
However, that doesn't work at all.  dumper or gdb, which I tried first, isn't called at all.  Instead there
is this perl process sitting around that can't be killed and prevents a clean shutdown of Windows.
The CYGWIN setting above has worked for me before.

I further noticed the cwd.dll library, in which perl dies, is part of perl.

Michael

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/